#!/usr/bin/ruby

frm = 0
fovx = 90.0
fovy = 90.0
yaw   = 0.0
pitch = 0.0
frames = 300
duration = 10.0
while frm < frames;
  yaw   = 360.0*frm/frames - 180.0
  sec = frm*1.0/(frames*1.0)*10.0
  if (sec < duration/2-1)
    pitch = 45.0
  elsif (sec >= duration/2+1)
    pitch = -45.0
  else
    pitch = 45.0 - 90.0/2.0*(sec - (duration/2.0 - 1))
  end
  printf("%d %.2f %.2f %.2f %.2f\n", frm, fovx, fovy, yaw, pitch)
  frm  += 1
end
